Get a picture of a preview file. It can be the thumbnail, the square thumbnail, the original picture or the preview picture. For the thumbnail, the square thumbnail and the original picture, anybody who is logged in can get the main preview of a shared entity, except vendors. For the preview picture, and for the other previews, you must have access to the task. A vendor must have a task on the entity.
GET
/pictures/thumbnails/preview-files/{instance_id}.png
curl
curl -X GET "http://api.example.com/pictures/thumbnails/preview-files/a24a6ea4-ce75-4665-a070-57453082c25.png" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/pictures/thumbnails/preview-files/a24a6ea4-ce75-4665-a070-57453082c25.png"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (202)
{
"status": "processing",
"preview_file_id": "a24a6ea4-ce75-4665-a070-57453082c250"
}